package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformFwhDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformFwhDataStatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformFwhDataStatMapper {
    long countByExample(ContentPlatformFwhDataStatExample example);

    int deleteByExample(ContentPlatformFwhDataStatExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformFwhDataStat record);

    int insertSelective(ContentPlatformFwhDataStat record);

    List<ContentPlatformFwhDataStat> selectByExample(ContentPlatformFwhDataStatExample example);

    ContentPlatformFwhDataStat selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformFwhDataStat record, @Param("example") ContentPlatformFwhDataStatExample example);

    int updateByExample(@Param("record") ContentPlatformFwhDataStat record, @Param("example") ContentPlatformFwhDataStatExample example);

    int updateByPrimaryKeySelective(ContentPlatformFwhDataStat record);

    int updateByPrimaryKey(ContentPlatformFwhDataStat record);
}